"""add Device workflows.

Revision ID: 857225661207
Revises: f4959f32c866
Create Date: 2023-04-05 09:16:03.725750

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = '857225661207'
down_revision = 'd52256e7d715'
branch_labels = None
depends_on = None


from orchestrator.migrations.helpers import create_workflow, delete_workflow

new_workflows = [
    {
        "name": "create_device",
        "target": "CREATE",
        "description": "Create Device",
        "product_type": "Device"
    }
]


def upgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        create_workflow(conn, workflow)


def downgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        delete_workflow(conn, workflow["name"])
